import sys
from PIL import Image
import ST7789 as ST7789

# Save image from argument
picRAW = sys.argv[1]
# Declare display
lcd = ST7789.ST7789( port= 0,
	cs = ST7789.BG_SPI_CS_FRONT,
	dc = 25, rst = 27, backlight = 18,
	mode = 3, spi_speed_hz = 8000000)

lcd.begin()
# Open image
pic = Image.open(picRAW)
# Fit image to screen
pic = pic.resize((lcd.width, lcd.height))
# Show image on display
lcd.display(pic)
